Commit a58b1e51 authored by LAMBERT Jean-charles's avatar LAMBERT Jean-charles

more fixes

parent 96bc836d
......@@ -4,6 +4,7 @@
# compile wheel
for PYBIN in /opt/python/*/bin/; do
echo "Compiling using pip version ${PYBIN}...."
(cd /unsio; ${PYBIN}/python setup.py clean --all)
PATH=/opt2/local/swig-p37/bin/:${PATH} "${PYBIN}/pip" wheel /unsio/ -w wheelhouse
done
......
......@@ -5,5 +5,6 @@
for PYBIN in /opt/python/*/bin/; do
echo "Compiling using pip version ${PYBIN}...."
#"${PYBIN}/python"
(cd /unsio; ${PYBIN}/python setup.py clean --all)
PATH=/opt2/local/swig-p37/bin/:${PATH} "${PYBIN}/pip" wheel /unsio/ -w wheelhouse
done
......@@ -2,15 +2,19 @@
# install mandatory packages
/opt2/scripts/install_requirements.sh
#/opt2/scripts/install_requirements.sh
/unsio/py/wheels/linux/install_requirements.sh
# build and install UNSIO library
/opt2/scripts/build_unsio.sh
#/opt2/scripts/build_unsio.sh
/unsio/py/wheels/linux/build_unsio.sh
# build wheels for every python version
#/opt2/scripts/build_wheel.sh
/opt/python/cp37-cp37m/bin/python /unsio/py/wheels/linux/build_wheel.py
/unsio/py/wheels/linux/build_wheel.sh
#/opt/python/cp37-cp37m/bin/python /unsio/py/wheels/linux/build_wheel.py
# repair wheels for every python version
#/opt2/scripts/repair_wheel.sh
/unsio/py/wheels/linux/repair_wheel.sh
......@@ -128,7 +128,7 @@ def setup_package():
],
},
install_requires=['numpy'],
setup_requires=['numpy']
#setup_requires=['numpy']
#
)
setup(**metadata)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment